# MapperReadCRUDRepo

constructor(to: ReadCRUDRepo < ToRegistered , ToId >, mapper: MapperRepo < FromId , FromRegistered , ToId , ToRegistered >)(source)

#### Parameters

to

The underlying repository to wrap

mapper

The mapper that defines the bidirectional type conversions

#### Type Parameters

FromId

The external ID type exposed by this wrapper

FromRegistered

The external object type exposed by this wrapper

ToId

The internal ID type used by the underlying repository

ToRegistered

The internal object type used by the underlying repository